<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('parentes', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('personne_id');
            $table->unsignedBigInteger('parent_id');
            $table->unsignedBigInteger('type_parent_id');
            $table->timestamps();
            $table->foreign('personne_id')->references('id')->on('personnes')->cascadeOnDelete();
            $table->foreign('parent_id')->references('id')->on('personnes')->cascadeOnDelete();
            $table->foreign('type_parent_id')->references('id')->on('type_parentes')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('parentes');
    }
};